#ifndef MSP_GL_PREDICATE_H_
#define MSP_GL_PREDICATE_H_

#include <msp/strings/lexicalcast.h>
#include "gl.h"

namespace Msp {
namespace GL {

enum Predicate
{
	NEVER    = GL_NEVER,
	ALWAYS   = GL_ALWAYS,
	LESS     = GL_LESS,
	LEQUAL   = GL_LEQUAL,
	EQUAL    = GL_EQUAL,
	GREATER  = GL_GREATER,
	GEQUAL   = GL_GEQUAL,
	NOTEQUAL = GL_NOTEQUAL
};

void operator>>(const LexicalConverter &, Predicate &);
void operator<<(LexicalConverter &, Predicate);

} // namespace GL
} // namespace Msp

#endif
